#include <iostream>
#include "MathApp.h"
#define MAGIC_NUMBER 42

#include "stdafx.h"

using namespace std;


int main()
{
	// Question 1.
	cout << "Enter a number: ";
	int number;
	cin >> number;

	if (IsPrime(number))
	{
		cout << number << " is prime." << endl;
	}
	else
	{
		cout << number << " is not prime." << endl;
	}


	// Question 2.
	cout << endl << "Enter a lower number: ";
	int lower;
	cin >> lower;

	cout << "Enter an upper number: ";
	int upper;
	cin >> upper;

	DisplayPrimeNumbersInRange(lower, upper);


	// Question 3.
	cout << endl << "Enter the first number for an arithmetic progression: ";
	int firstNumber;
	cin >> firstNumber;

	cout << "Enter the number or terms: ";
	int numTerms;
	cin >> numTerms;

	cout << "Enter the step: ";
	int step;
	cin >> step;

	DisplayAP(firstNumber, numTerms, step);
}


bool IsPrime(int number)
{
	for (int i=2; i < number; i++)
	{
		if (number % i == 0)
		{
			return false;
		}
	}
	return true;
}


void DisplayPrimeNumbersInRange(int lower, int upper)
{
	cout << "The following numbers between " << lower << " and " << upper << " are prime" << endl;

	for (int i = lower; i < upper; i++)
	{
		if (IsPrime(i))
		{
			cout << i << endl;
		}
	}
}


void DisplayAP(int number, int numTerms, int step)
{
	cout << "Arithmetic progression (first number is " << number 
		 << ", number of terms is " << numTerms  
		 << ", and the step is " << step << endl;

	for (int i = 0; i < numTerms; i++, number += step)
	{
		cout << number << endl;
		if (number == MAGIC_NUMBER)
		{
			cout << number << "  CONGRATULATIONS! YOU JUST FOUND THE MAGIC NUMBER!!!" << endl;
			break;
		}
	}
}